import { EquipmentSlot } from '@minecraft/server';
export function checkArmor(player, helmet, chestplate, leggings, boots) {
    const equippable = player.getComponent('minecraft:equippable');
    const playerHelmet = equippable.getEquipment(EquipmentSlot.Head);
    const playerChestplate = equippable.getEquipment(EquipmentSlot.Chest);
    const playerLeggings = equippable.getEquipment(EquipmentSlot.Legs);
    const playerBoots = equippable.getEquipment(EquipmentSlot.Feet);
    if (!playerHelmet || !playerChestplate || !playerLeggings || !playerBoots)
        return false;
    if (playerHelmet.typeId === helmet &&
        playerChestplate.typeId === chestplate &&
        playerLeggings.typeId === leggings &&
        playerBoots.typeId === boots)
        return true;
    else
        return false;
}
